Index: locales/bn/date.po
===================================================================
--- locales/bn/date.po	(revision 0)
+++ locales/bn/date.po	(revision 221)
@@ -11,4 +11,5 @@
 "Last-Translator: Adnan Shameem <needadnan@gmail.com>\n"
 "Language-Team: \n"
+"Language: \n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
Index: locales/bn/main.po
===================================================================
--- locales/bn/main.po	(revision 0)
+++ locales/bn/main.po	(revision 221)
@@ -7,8 +7,9 @@
 "Project-Id-Version: Dotclear 2\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2010-06-23 21:37+0200\n"
+"POT-Creation-Date: 2011-05-08 18:35+0200\n"
 "PO-Revision-Date: 2009-09-16 12:33+0600\n"
 "Last-Translator: Adnan Shameem <needadnan@gmail.com>\n"
 "Language-Team: \n"
+"Language: \n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
@@ -58,4 +59,7 @@
 msgstr "আপনি আপনার পাসওয়ার্ড পরিবর্তন করেন নি।"
 
+msgid "Safe Mode can only be used for super administrators."
+msgstr ""
+
 msgid "Wrong username or password"
 msgstr "ভুল ইউজারনেম বা পাসওয়ার্ড"
@@ -85,11 +89,27 @@
 msgstr "পরিবর্তন করুন"
 
+msgid "Safe mode login"
+msgstr ""
+
+msgid "This mode allows you to login without activating any of your plugins. This may be useful to solve compatibility problems"
+msgstr ""
+
+msgid "Disable or delete any plugin suspected to cause trouble, then log out and log back in normally."
+msgstr ""
+
 msgid "Remember my ID on this computer"
 msgstr "আমার ID এই কম্পিউটারে মনে রেখো"
 
-msgid "login"
-msgstr "লগইন"
+#, fuzzy
+msgid "log in"
+msgstr "ব্লগের নাম"
 
 msgid "You must accept cookies in order to use the private area."
+msgstr ""
+
+msgid "Get back to normal authentication"
+msgstr ""
+
+msgid "Connection issue?"
 msgstr ""
 
@@ -97,4 +117,7 @@
 msgstr "আমার পাসওয়ার্ড ভুলে গেছি"
 
+msgid "I want to log in in safe mode"
+msgstr ""
+
 msgid "New blog"
 msgstr "নতুন ব্লগ"
@@ -127,5 +150,5 @@
 msgstr "ব্লগের বিবরণ:"
 
-msgid "save"
+msgid "Save"
 msgstr "সংরক্ষণ করুন"
 
@@ -207,5 +230,5 @@
 msgstr ""
 
-msgid "Warning: except for special configurations, it is generally advised to have a trailing \"?\" in your blog URL in when QUERY_STRING mode."
+msgid "Warning: except for special configurations, it is generally advised to have a trailing \"?\" in your blog URL in QUERY_STRING mode."
 msgstr ""
 
@@ -513,5 +536,6 @@
 msgstr ""
 
-msgid "filter"
+#, fuzzy
+msgid "Apply filters"
 msgstr "ফিল্টার"
 
@@ -589,7 +613,4 @@
 msgstr ""
 
-msgid "Save"
-msgstr "সংরক্ষণ করুন"
-
 msgid "Remove a category"
 msgstr ""
@@ -642,4 +663,8 @@
 msgid "before"
 msgstr "আগে"
+
+#, fuzzy
+msgid "position: "
+msgstr "বিবরণ:"
 
 msgid "Entry does not exist."
@@ -697,62 +722,69 @@
 msgstr "মন্তব্য"
 
+msgid "Delete"
+msgstr "মুছে ফেলুন"
+
+msgid "comment"
+msgstr "মন্তব্য"
+
+msgid "trackback"
+msgstr "ট্র্যাকব্যাক"
+
+msgid "Date"
+msgstr "তারিখ"
+
+msgid "Entry title"
+msgstr "এন্ট্রির টাইটেল"
+
+msgid "Author"
+msgstr "লেখক"
+
+msgid "publish"
+msgstr "প্রকাশ করুন"
+
+msgid "unpublish"
+msgstr "অপ্রকাশ করুন"
+
+msgid "mark as pending"
+msgstr ""
+
+msgid "mark as junk"
+msgstr ""
+
 msgid "delete"
 msgstr "মুছে ফেলুন"
 
-msgid "comment"
-msgstr "মন্তব্য"
-
-msgid "trackback"
-msgstr "ট্র্যাকব্যাক"
-
-msgid "Date"
-msgstr "তারিখ"
-
-msgid "Entry title"
-msgstr "এন্ট্রির টাইটেল"
-
-msgid "Author"
-msgstr "লেখক"
-
-msgid "publish"
-msgstr "প্রকাশ করুন"
-
-msgid "unpublish"
-msgstr "অপ্রকাশ করুন"
-
-msgid "mark as pending"
-msgstr ""
-
-msgid "mark as junk"
-msgstr ""
+msgid "Type:"
+msgstr "ধরণ:"
+
+msgid "Comments per page"
+msgstr "প্রতি পেজে মন্তব্য"
+
+msgid "Comment author:"
+msgstr "মন্তব্যের লেখক:"
+
+msgid "You have one spam comments."
+msgstr "আপনার একটি স্প্যাম মন্তব্য আছে।"
+
+msgid "Show it."
+msgstr "সেটি দেখাও।"
+
+#, php-format
+msgid "You have %s spam comments."
+msgstr "আপনার %s টি স্প্যাম মন্তব্য আছে।"
+
+msgid "Show them."
+msgstr "সেগুলো দেখাও।"
+
+msgid "Selected comments action:"
+msgstr ""
+
+#, fuzzy
+msgid "action: "
+msgstr "বিবরণ:"
 
 msgid "Comments"
 msgstr "মন্তব্য"
 
-msgid "Type:"
-msgstr "ধরণ:"
-
-msgid "Comments per page"
-msgstr "প্রতি পেজে মন্তব্য"
-
-msgid "Comment author:"
-msgstr "মন্তব্যের লেখক:"
-
-msgid "You have one spam comments."
-msgstr "আপনার একটি স্প্যাম মন্তব্য আছে।"
-
-msgid "Show it."
-msgstr "সেটি দেখাও।"
-
-#, php-format
-msgid "You have %s spam comments."
-msgstr "আপনার %s টি স্প্যাম মন্তব্য আছে।"
-
-msgid "Show them."
-msgstr "সেগুলো দেখাও।"
-
-msgid "Selected comments action:"
-msgstr ""
-
 #, php-format
 msgid "%d comment"
@@ -766,8 +798,8 @@
 msgstr "নতুন এন্ট্রি"
 
-msgid "User preferences"
-msgstr ""
-
-msgid "Documentation"
+msgid "My preferences"
+msgstr ""
+
+msgid "Documentation and support"
 msgstr ""
 
@@ -796,4 +828,21 @@
 msgstr "নিচের প্লাগইনগুলো ইন্সটল করা হয় নি:"
 
+#, php-format
+msgid "Dotclear %s is available!"
+msgstr "Dotclear %s এসে গেছে!"
+
+msgid "Upgrade now"
+msgstr "আপগ্রেড করুন"
+
+msgid "Remind me later"
+msgstr "পড়ে মনে করিয়ে দিও"
+
+msgid "information about this version"
+msgstr ""
+
+#, fuzzy
+msgid "Some plugins are installed twice:"
+msgstr "নিচের প্লাগইনগুলো ইন্সটল করা হয়েছে:"
+
 msgid "Quick entry"
 msgstr "দ্রুত এন্ট্রি"
@@ -807,18 +856,4 @@
 msgid "save and publish"
 msgstr "সেভ ও প্রকাশ করুন"
-
-#, php-format
-msgid "Dotclear %s is available!"
-msgstr "Dotclear %s এসে গেছে!"
-
-msgid "Upgrade now"
-msgstr "আপগ্রেড করুন"
-
-msgid "Remind me later"
-msgstr "পড়ে মনে করিয়ে দিও"
-
-#, fuzzy
-msgid "Some plugins are installed twice:"
-msgstr "নিচের প্লাগইনগুলো ইন্সটল করা হয়েছে:"
 
 #, php-format
@@ -905,4 +940,12 @@
 
 #, fuzzy
+msgid "Pages"
+msgstr "পেজ(সমূহ)"
+
+#, fuzzy
+msgid "Blogroll"
+msgstr "ব্লগ"
+
+#, fuzzy
 msgid "Dotclear Install"
 msgstr "Dotclear ইন্সটলেশন"
@@ -942,4 +985,7 @@
 msgstr "ভুল ইউজারনেম বা পাসওয়ার্ড"
 
+msgid "save"
+msgstr "সংরক্ষণ করুন"
+
 msgid "All done!"
 msgstr "কাজ শেষ!"
@@ -1061,7 +1107,4 @@
 msgstr ""
 
-msgid "Delete"
-msgstr "মুছে ফেলুন"
-
 msgid "Install or upgrade languages"
 msgstr "ভাষাসমূহ ইন্সটল বা আপগ্রেড"
@@ -1171,4 +1214,7 @@
 msgstr ""
 
+msgid "Please take care to publish media that you own and that are not protected by copyright."
+msgstr ""
+
 msgid "Choose a file:"
 msgstr ""
@@ -1184,7 +1230,4 @@
 msgstr "পাঠাও"
 
-msgid "Please take care to publish media that you own and that are not protected by copyright."
-msgstr ""
-
 msgid "New directory"
 msgstr "নতুন ডিরেক্টরি"
@@ -1388,4 +1431,8 @@
 msgstr ""
 
+#, fuzzy
+msgid "select"
+msgstr "সব সিলেক্ট করুন"
+
 msgid "No content found on this plugin."
 msgstr "এই প্লাগইনে কোনো কন্টেন্ট নেই।"
@@ -1488,4 +1535,8 @@
 msgstr "লিংক URL:"
 
+#, fuzzy
+msgid "Link title:"
+msgstr "ফাইলের শিরোনাম:"
+
 msgid "Link language:"
 msgstr "লিংক ভাষা:"
@@ -1611,4 +1662,12 @@
 msgstr "জাঙ্ক"
 
+#, fuzzy
+msgid "select this comment"
+msgstr "এই মন্তব্য এডিট করুন"
+
+#, fuzzy
+msgid "select this trackback"
+msgstr "শূণ্য ট্র্যাকব্যাক"
+
 msgid "Edit this comment"
 msgstr "এই মন্তব্য এডিট করুন"
@@ -1700,6 +1759,39 @@
 msgstr ""
 
+#, fuzzy
+msgid "Personal options has been successfully updated."
+msgstr "ব্লগটি সফলভাবে আপডেট করা হয়েছে।"
+
+#, fuzzy
+msgid "Favorites have been successfully added."
+msgstr "ফাইলগুলো সফলভাবে আপলোড করা হয়েছে।"
+
+#, fuzzy
+msgid "Favorites have been successfully updated."
+msgstr "ফাইলটি সফলভাবে আপডেট করা হয়েছে।"
+
+#, fuzzy
+msgid "Favorites have been successfully removed."
+msgstr "ফাইলগুলো সফলভাবে মুছে ফেলা হয়েছে।"
+
+#, fuzzy
+msgid "Default favorites have been successfully updated."
+msgstr "থাম্বনেইলসমূহ সফলভাবে আপডেট করা হয়েছে।"
+
+msgid "My profile"
+msgstr ""
+
 msgid "Display name:"
 msgstr ""
+
+msgid "User language:"
+msgstr "ইউজারের ভাষা:"
+
+msgid "User timezone:"
+msgstr "ইউজারের টাইমজোন:"
+
+#, fuzzy
+msgid "My options"
+msgstr "সার্চ অপশন"
 
 msgid "Preferred format:"
@@ -1712,11 +1804,67 @@
 msgstr ""
 
-msgid "User language:"
-msgstr "ইউজারের ভাষা:"
-
-msgid "User timezone:"
-msgstr "ইউজারের টাইমজোন:"
-
 msgid "Enable WYSIWYG mode"
+msgstr ""
+
+msgid "Accessibility options"
+msgstr ""
+
+msgid "Disable javascript powered drag and drop for ordering items"
+msgstr ""
+
+msgid "Numeric fields will allow to type the elements' ordering number."
+msgstr ""
+
+#, fuzzy
+msgid "Dashboard modules"
+msgstr "ড্যাশবোর্ড"
+
+msgid "Display documentation links"
+msgstr ""
+
+#, fuzzy
+msgid "Display Dotclear news"
+msgstr "আপডেট Dotclear"
+
+msgid "Display quick entry form"
+msgstr ""
+
+msgid "My favorites"
+msgstr ""
+
+#, php-format
+msgid "position of %s"
+msgstr ""
+
+#, fuzzy
+msgid "Save order"
+msgstr "পুনর্বিন্যাস"
+
+msgid "Delete selected favorites"
+msgstr ""
+
+#, fuzzy
+msgid "Are you sure you want to remove selected favorites?"
+msgstr "আপনি কি আসলেই %s মুছে ফেলতে চান?"
+
+msgid "If you are a super administrator, you may define this set of favorites to be used by default on all blogs of this installation:"
+msgstr ""
+
+msgid "Define as default favorites"
+msgstr ""
+
+msgid "Currently no personal favorites."
+msgstr ""
+
+msgid "Default favorites"
+msgstr ""
+
+msgid "Those favorites are displayed when My Favorites list is empty."
+msgstr ""
+
+msgid "Available favorites"
+msgstr ""
+
+msgid "Add to my favorites"
 msgstr ""
 
@@ -1911,6 +2059,9 @@
 msgstr "ব্লগসমূহ:"
 
-msgid "View site"
-msgstr "সাইট দেখাও"
+msgid "Go to site"
+msgstr ""
+
+msgid "new window"
+msgstr ""
 
 msgid "User:"
@@ -1920,4 +2071,10 @@
 msgstr "লগআউট"
 
+msgid "Safe mode"
+msgstr ""
+
+msgid "You are in safe mode. All plugins have been temporarily disabled. Remind to log out then log in again normally to get back all functionalities"
+msgstr ""
+
 #, php-format
 msgid "Thank you for using %s."
@@ -1936,5 +2093,5 @@
 msgstr "সাহায্য"
 
-msgid "No selection"
+msgid "no selection"
 msgstr ""
 
@@ -2018,4 +2175,7 @@
 msgstr ""
 
+msgid "You have unsaved changes. Switch post format will loose these changes. Proceed anyway?"
+msgstr ""
+
 msgid "You have unsaved changes."
 msgstr ""
@@ -2205,4 +2365,7 @@
 msgstr ""
 
+msgid "Languages"
+msgstr "ভাষাসমূহ"
+
 msgid "System"
 msgstr ""
@@ -2214,6 +2377,305 @@
 msgstr ""
 
-msgid "Languages"
-msgstr "ভাষাসমূহ"
+msgid "administrator"
+msgstr ""
+
+msgid "manage their own entries and comments"
+msgstr ""
+
+msgid "publish entries and comments"
+msgstr ""
+
+msgid "delete entries and comments"
+msgstr ""
+
+msgid "manage all entries and comments"
+msgstr ""
+
+msgid "manage categories"
+msgstr ""
+
+msgid "manage their own media items"
+msgstr ""
+
+msgid "manage all media items"
+msgstr ""
+
+msgid "That user does not exist in the database."
+msgstr ""
+
+msgid "That key does not exist in the database."
+msgstr ""
+
+msgid "You are not allowed to add categories"
+msgstr ""
+
+msgid "You are not allowed to update categories"
+msgstr ""
+
+msgid "You are not allowed to delete categories"
+msgstr ""
+
+msgid "This category is not empty."
+msgstr ""
+
+msgid "Category URL must be unique."
+msgstr ""
+
+msgid "You must provide a category title"
+msgstr ""
+
+msgid "You must provide a category URL"
+msgstr ""
+
+msgid "You are not allowed to create an entry"
+msgstr ""
+
+msgid "You are not allowed to update entries"
+msgstr ""
+
+msgid "No such entry ID"
+msgstr ""
+
+msgid "You are not allowed to edit this entry"
+msgstr ""
+
+msgid "You are not allowed to change this entry status"
+msgstr ""
+
+msgid "You are not allowed to change this entry category"
+msgstr ""
+
+msgid "You are not allowed to mark this entry as selected"
+msgstr ""
+
+msgid "You are not allowed to delete entries"
+msgstr ""
+
+msgid "You are not allowed to delete this entry"
+msgstr ""
+
+msgid "No entry title"
+msgstr "এন্ট্রির কোনো টাইটেল নেই"
+
+msgid "No entry content"
+msgstr "এন্ট্রির কোনো কন্টেন্ট নেই"
+
+msgid "Empty entry URL"
+msgstr ""
+
+msgid "You are not allowed to update comments"
+msgstr ""
+
+msgid "No such comment ID"
+msgstr ""
+
+msgid "You are not allowed to update this comment"
+msgstr ""
+
+msgid "You are not allowed to change this comment's status"
+msgstr ""
+
+msgid "You are not allowed to delete comments"
+msgstr ""
+
+msgid "You are not allowed to delete this comment"
+msgstr ""
+
+msgid "You must provide a comment"
+msgstr ""
+
+msgid "You must provide an author name"
+msgstr ""
+
+msgid "Email address is not valid."
+msgstr ""
+
+msgid "online"
+msgstr "অনলাইন"
+
+msgid "offline"
+msgstr "অফলাইন"
+
+msgid "removed"
+msgstr ""
+
+msgid "You are not an administrator"
+msgstr ""
+
+msgid "Invalid user language code"
+msgstr ""
+
+msgid "Blog ID must contain at least 2 characters using letters, numbers or symbols."
+msgstr ""
+
+msgid "No blog name"
+msgstr ""
+
+msgid "No blog URL"
+msgstr ""
+
+msgid "No log message"
+msgstr ""
+
+#, fuzzy
+msgid "unknown"
+msgstr "এখন"
+
+msgid "No blog defined."
+msgstr ""
+
+#, php-format
+msgid "Directory %s does not exist."
+msgstr ""
+
+msgid "You are not a super administrator."
+msgstr ""
+
+msgid "Permission denied."
+msgstr ""
+
+msgid "You are not the file owner."
+msgstr ""
+
+msgid "This file is not allowed."
+msgstr ""
+
+msgid "New file already exists."
+msgstr ""
+
+msgid "File does not exist in the database."
+msgstr ""
+
+#, php-format
+msgid "Extract destination directory %s already exists."
+msgstr ""
+
+msgid "Embedded Audio Player"
+msgstr ""
+
+msgid "Embedded Video Player"
+msgstr ""
+
+#, php-format
+msgid "%s: in [%s] and [%s]"
+msgstr ""
+
+msgid "Empty module zip file."
+msgstr ""
+
+msgid "The zip file does not appear to be a valid Dotclear module."
+msgstr ""
+
+msgid "An error occurred during module deletion."
+msgstr ""
+
+#, php-format
+msgid "Unable to upgrade \"%s\". (same version)"
+msgstr ""
+
+msgid "Unable to read new _define.php file"
+msgstr ""
+
+msgid "No such module."
+msgstr ""
+
+msgid "Cannot remove module files"
+msgstr ""
+
+msgid "Cannot deactivate plugin."
+msgstr ""
+
+msgid "Cannot activate plugin."
+msgstr ""
+
+#, php-format
+msgid "Invalid setting dcNamespace: %s"
+msgstr ""
+
+msgid "Unable to retrieve settings:"
+msgstr ""
+
+#, php-format
+msgid "%s is not a valid setting id"
+msgstr ""
+
+msgid "No namespace specified"
+msgstr ""
+
+msgid "Unable to retrieve workspaces:"
+msgstr ""
+
+msgid "Unable to retrieve namespaces:"
+msgstr ""
+
+#, php-format
+msgid "Invalid setting namespace: %s"
+msgstr ""
+
+#, php-format
+msgid "%s has still been pinged"
+msgstr ""
+
+msgid "Unable to ping URL"
+msgstr ""
+
+#, php-format
+msgid "%s is not a ping URL"
+msgstr ""
+
+#, php-format
+msgid "%s, ping error:"
+msgstr ""
+
+msgid "Digests file not found."
+msgstr ""
+
+msgid "No file to download"
+msgstr ""
+
+msgid "Root directory is not writable."
+msgstr ""
+
+msgid "An error occurred while downloading archive."
+msgstr ""
+
+msgid "Archive not found."
+msgstr ""
+
+msgid "Unable to read current digests file."
+msgstr ""
+
+#, fuzzy
+msgid "Downloaded file does not seem to be a valid archive."
+msgstr "Zip ফাইলটি বৈধ ডটক্লিয়ার ল্যাঙ্গুয়েজ প্যাক বলে মনে হচ্ছে না।"
+
+msgid "Incomplete archive."
+msgstr ""
+
+msgid "Unable to read digests file."
+msgstr ""
+
+msgid "Invalid digests file."
+msgstr ""
+
+#, php-format
+msgid "Invalid dcWorkspace: %s"
+msgstr ""
+
+msgid "Unable to retrieve prefs:"
+msgstr ""
+
+#, fuzzy, php-format
+msgid "%s is not a valid pref id"
+msgstr "ফাইলটি বৈধ নয়"
+
+msgid "No workspace specified"
+msgstr ""
+
+msgid "SQLite Database Schema cannot be upgraded."
+msgstr ""
+
+msgid "Something went wrong with auto upgrade:"
+msgstr ""
 
 msgid "Unable to open directory."
@@ -2320,286 +2782,4 @@
 msgstr ""
 
-msgid "administrator"
-msgstr ""
-
-msgid "manage their own entries and comments"
-msgstr ""
-
-msgid "publish entries and comments"
-msgstr ""
-
-msgid "delete entries and comments"
-msgstr ""
-
-msgid "manage all entries and comments"
-msgstr ""
-
-msgid "manage categories"
-msgstr ""
-
-msgid "manage their own media items"
-msgstr ""
-
-msgid "manage all media items"
-msgstr ""
-
-msgid "That user does not exist in the database."
-msgstr ""
-
-msgid "That key does not exist in the database."
-msgstr ""
-
-msgid "You are not allowed to add categories"
-msgstr ""
-
-msgid "You are not allowed to update categories"
-msgstr ""
-
-msgid "You are not allowed to delete categories"
-msgstr ""
-
-msgid "This category is not empty."
-msgstr ""
-
-msgid "Category URL must be unique."
-msgstr ""
-
-msgid "You must provide a category title"
-msgstr ""
-
-msgid "You must provide a category URL"
-msgstr ""
-
-msgid "You are not allowed to create an entry"
-msgstr ""
-
-msgid "You are not allowed to update entries"
-msgstr ""
-
-msgid "No such entry ID"
-msgstr ""
-
-msgid "You are not allowed to edit this entry"
-msgstr ""
-
-msgid "You are not allowed to change this entry status"
-msgstr ""
-
-msgid "You are not allowed to change this entry category"
-msgstr ""
-
-msgid "You are not allowed to mark this entry as selected"
-msgstr ""
-
-msgid "You are not allowed to delete entries"
-msgstr ""
-
-msgid "You are not allowed to delete this entry"
-msgstr ""
-
-msgid "No entry title"
-msgstr "এন্ট্রির কোনো টাইটেল নেই"
-
-msgid "No entry content"
-msgstr "এন্ট্রির কোনো কন্টেন্ট নেই"
-
-msgid "Empty entry URL"
-msgstr ""
-
-msgid "You are not allowed to update comments"
-msgstr ""
-
-msgid "No such comment ID"
-msgstr ""
-
-msgid "You are not allowed to update this comment"
-msgstr ""
-
-msgid "You are not allowed to change this comment's status"
-msgstr ""
-
-msgid "You are not allowed to delete comments"
-msgstr ""
-
-msgid "You are not allowed to delete this comment"
-msgstr ""
-
-msgid "You must provide a comment"
-msgstr ""
-
-msgid "You must provide an author name"
-msgstr ""
-
-msgid "Email address is not valid."
-msgstr ""
-
-msgid "online"
-msgstr "অনলাইন"
-
-msgid "offline"
-msgstr "অফলাইন"
-
-msgid "removed"
-msgstr ""
-
-msgid "You are not an administrator"
-msgstr ""
-
-msgid "Invalid user language code"
-msgstr ""
-
-msgid "Blog ID must contain at least 2 characters using letters, numbers or symbols."
-msgstr ""
-
-msgid "No blog name"
-msgstr ""
-
-msgid "No blog URL"
-msgstr ""
-
-msgid "No log message"
-msgstr ""
-
-#, fuzzy
-msgid "unknown"
-msgstr "এখন"
-
-msgid "No blog defined."
-msgstr ""
-
-#, php-format
-msgid "Directory %s does not exist."
-msgstr ""
-
-msgid "You are not a super administrator."
-msgstr ""
-
-msgid "Permission denied."
-msgstr ""
-
-msgid "You are not the file owner."
-msgstr ""
-
-msgid "New file already exists."
-msgstr ""
-
-msgid "File does not exist in the database."
-msgstr ""
-
-#, php-format
-msgid "Extract destination directory %s already exists."
-msgstr ""
-
-msgid "Embedded Audio Player"
-msgstr ""
-
-msgid "Embedded Video Player"
-msgstr ""
-
-#, php-format
-msgid "%s: in [%s] and [%s]"
-msgstr ""
-
-msgid "Empty module zip file."
-msgstr ""
-
-msgid "The zip file does not appear to be a valid Dotclear module."
-msgstr ""
-
-msgid "An error occurred during module deletion."
-msgstr ""
-
-#, php-format
-msgid "Unable to upgrade \"%s\". (same version)"
-msgstr ""
-
-msgid "Unable to read new _define.php file"
-msgstr ""
-
-msgid "No such module."
-msgstr ""
-
-msgid "Cannot remove module files"
-msgstr ""
-
-msgid "Cannot deactivate plugin."
-msgstr ""
-
-msgid "Cannot activate plugin."
-msgstr ""
-
-#, php-format
-msgid "Invalid setting dcNamespace: %s"
-msgstr ""
-
-msgid "Unable to retrieve settings:"
-msgstr ""
-
-#, php-format
-msgid "%s is not a valid setting id"
-msgstr ""
-
-msgid "No namespace specified"
-msgstr ""
-
-msgid "Unable to retrieve namespaces:"
-msgstr ""
-
-#, php-format
-msgid "Invalid setting namespace: %s"
-msgstr ""
-
-#, php-format
-msgid "%s has still been pinged"
-msgstr ""
-
-msgid "Unable to ping URL"
-msgstr ""
-
-#, php-format
-msgid "%s is not a ping URL"
-msgstr ""
-
-#, php-format
-msgid "%s, ping error:"
-msgstr ""
-
-msgid "Digests file not found."
-msgstr ""
-
-msgid "No file to download"
-msgstr ""
-
-msgid "Root directory is not writable."
-msgstr ""
-
-msgid "An error occurred while downloading archive."
-msgstr ""
-
-msgid "Archive not found."
-msgstr ""
-
-msgid "Unable to read current digests file."
-msgstr ""
-
-#, fuzzy
-msgid "Downloaded file does not seem to be a valid archive."
-msgstr "Zip ফাইলটি বৈধ ডটক্লিয়ার ল্যাঙ্গুয়েজ প্যাক বলে মনে হচ্ছে না।"
-
-msgid "Incomplete archive."
-msgstr ""
-
-msgid "Unable to read digests file."
-msgstr ""
-
-msgid "Invalid digests file."
-msgstr ""
-
-msgid "SQLite Database Schema cannot be upgraded."
-msgstr ""
-
-msgid "Something went wrong with auto upgrade:"
-msgstr ""
-
 msgid "Unable to connect to database"
 msgstr ""
@@ -2611,4 +2791,10 @@
 msgid "The following error was encountered while trying to read the database:"
 msgstr ""
+
+#~ msgid "login"
+#~ msgstr "লগইন"
+
+#~ msgid "View site"
+#~ msgstr "সাইট দেখাও"
 
 #~ msgid "Login:"
Index: locales/bn/plugins.po
===================================================================
--- locales/bn/plugins.po	(revision 0)
+++ locales/bn/plugins.po	(revision 221)
@@ -7,8 +7,9 @@
 "Project-Id-Version: Dotclear 2\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2010-06-23 21:37+0200\n"
+"POT-Creation-Date: 2011-05-08 18:35+0200\n"
 "PO-Revision-Date: 2009-09-16 11:17+0600\n"
 "Last-Translator: Adnan Shameem <needadnan@gmail.com>\n"
 "Language-Team: \n"
+"Language: \n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
@@ -244,7 +245,4 @@
 msgstr ""
 
-msgid "Blogroll"
-msgstr ""
-
 msgid "manage blogroll"
 msgstr ""
@@ -394,5 +392,9 @@
 msgstr ""
 
-msgid "Save order"
+#, fuzzy
+msgid "position"
+msgstr "বিবরণ"
+
+msgid "select this link"
 msgstr ""
 
@@ -443,4 +445,7 @@
 
 msgid "Apply code"
+msgstr ""
+
+msgid "Choose a predefined style"
 msgstr ""
 
@@ -630,4 +635,7 @@
 msgstr ""
 
+msgid "Copy this code:"
+msgstr ""
+
 msgid "default"
 msgstr ""
@@ -653,25 +661,4 @@
 
 msgid "Unable to open image."
-msgstr ""
-
-msgid "External media"
-msgstr ""
-
-msgid "External media selector"
-msgstr ""
-
-msgid "Supported media services"
-msgstr ""
-
-msgid "Please enter the URL of the page containing the video you want to include in your post."
-msgstr ""
-
-msgid "Page URL:"
-msgstr ""
-
-msgid "Media alignment"
-msgstr ""
-
-msgid "Media title"
 msgstr ""
 
@@ -980,5 +967,13 @@
 msgstr ""
 
-msgid "Pages"
+msgid "New page"
+msgstr ""
+
+#, php-format
+msgid "%d page"
+msgstr ""
+
+#, php-format
+msgid "%d pages"
 msgstr ""
 
@@ -1007,10 +1002,10 @@
 msgstr ""
 
+msgid "select this page"
+msgstr ""
+
 msgid "Are you sure you want to delete selected pages?"
 msgstr ""
 
-msgid "New page"
-msgstr ""
-
 msgid "Selected pages action:"
 msgstr ""
@@ -1253,4 +1248,18 @@
 msgstr ""
 
+#, fuzzy
+msgid "Preferences successfully updated"
+msgstr "কনফিগারেশন সফলভাবে আপডেট করা হয়েছে"
+
+#, fuzzy
+msgid "Preferences definition successfully updated"
+msgstr "সেটিংস ডেফিনিশন সফলভাবে আপডেট করা হয়েছে"
+
+msgid "user preferences"
+msgstr ""
+
+msgid "global preferences"
+msgstr ""
+
 msgid "Presentation widgets"
 msgstr ""
Index: locales/bn/public.po
===================================================================
--- locales/bn/public.po	(revision 0)
+++ locales/bn/public.po	(revision 221)
@@ -11,4 +11,5 @@
 "Last-Translator: Adnan Shameem <needadnan@gmail.com>\n"
 "Language-Team: \n"
+"Language: \n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
@@ -176,4 +177,7 @@
 msgstr "মন্তব্য"
 
+msgid "Comments can be formatted using a simple wiki syntax."
+msgstr ""
+
 msgid "HTML code is displayed as text and web addresses are automatically converted."
 msgstr "HTML কোড লেখা হিসেবে দেখানো হবে এবং লিংকগুলোকে অটোমেটিক কনভার্ট করা হবে।"