Index: plugins/pages/default-templates/mustek/page.html
===================================================================
--- plugins/pages/default-templates/mustek/page.html	(revision 3009)
+++ plugins/pages/default-templates/mustek/page.html	(revision 3017)
@@ -1,248 +1,191 @@
-<!DOCTYPE html>
-<html lang="{{tpl:BlogLanguage}}">
-<head>
-  <meta charset="UTF-8" />
-  <meta name="ROBOTS" content="{{tpl:BlogMetaRobots}}" />
+{{tpl:extends parent="post.html"}}
 
-  <title>{{tpl:EntryTitle encode_html="1"}} - {{tpl:BlogName encode_html="1"}}</title>
-  <meta name="description" lang="{{tpl:EntryLang}}" content="{{tpl:EntryContent full="1" encode_html="1" remove_html="1" cut_string="180"}}" />
-  <meta name="copyright" content="{{tpl:BlogCopyrightNotice encode_html="1"}}" />
-  <meta name="author" content="{{tpl:EntryAuthorCommonName encode_html="1"}}" />
-  <meta name="date" content="{{tpl:EntryDate iso8601="1"}}" />
+<tpl:Block name="head-linkrel">
+	<link rel="top" href="{{tpl:BlogURL}}" title="{{tpl:lang Home}}" />
+	<link rel="contents" href="{{tpl:BlogArchiveURL}}" title="{{tpl:lang Archives}}" />
+	<tpl:EntryIf pings_active="1"><link rel="pingback" href="{{tpl:BlogXMLRPCURL}}" /></tpl:EntryIf>
+	<link rel="alternate" type="application/atom+xml" title="Atom 1.0" href="{{tpl:BlogFeedURL type="atom"}}" />
+</tpl:Block>
 
-  <link rel="schema.dc" href="http://purl.org/dc/elements/1.1/" />
-  <meta property="dc.title" content="{{tpl:EntryTitle encode_html="1"}}" />
-  <meta property="dc.description" lang="{{tpl:EntryLang}}" content="{{tpl:EntryContent full="1" encode_html="1" remove_html="1" cut_string="180"}}" />
-  <meta property="dc.creator" content="{{tpl:EntryAuthorCommonName encode_html="1"}}" />
-  <meta property="dc.language" content="{{tpl:EntryLang}}" />
-  <meta property="dc.publisher" content="{{tpl:BlogEditor encode_html="1"}}" />
-  <meta property="dc.rights" content="{{tpl:BlogCopyrightNotice encode_html="1"}}" />
-  <meta property="dc.date" content="{{tpl:EntryDate iso8601="1"}}" />
-  <meta property="dc.type" content="text" />
-  <meta property="dc.format" content="text/html" />
+<tpl:Block name="body-tag"><body class="dc-page"></tpl:Block>
 
-  <link rel="top" href="{{tpl:BlogURL}}" title="{{tpl:lang Home}}" />
-  <link rel="contents" href="{{tpl:BlogArchiveURL}}" title="{{tpl:lang Archives}}" />
-  <tpl:EntryIf pings_active="1"><link rel="pingback" href="{{tpl:BlogXMLRPCURL}}" /></tpl:EntryIf>
+<tpl:Block name="main-content">
+	<div id="p{{tpl:EntryID}}" class="post" role="article">
+		<h2 class="post-title">{{tpl:EntryTitle encode_html="1"}}</h2>
 
-  <link rel="alternate" type="application/atom+xml" title="Atom 1.0" href="{{tpl:BlogFeedURL type="atom"}}" />
+		<!-- # --BEHAVIOR-- publicEntryBeforeContent -->
+		{{tpl:SysBehavior behavior="publicEntryBeforeContent"}}
 
-  {{tpl:include src="_head.html"}}
+		<tpl:EntryIf extended="1">
+			<div class="post-excerpt">{{tpl:EntryExcerpt}}</div>
+		</tpl:EntryIf>
+		<div class="post-content">{{tpl:EntryContent}}</div>
 
-  <script type="text/javascript" src="{{tpl:BlogQmarkURL}}pf=post.js"></script>
-  <script type="text/javascript">
-  //<![CDATA[
-  var post_remember_str = '{{tpl:lang Remember me on this blog}}';
-  //]]>
-  </script>
-</head>
+		<p class="page-info">{{tpl:lang Published on}} {{tpl:EntryDate}}
+		{{tpl:lang by}} {{tpl:EntryAuthorLink}}</p>
 
-<body class="dc-page">
-<div id="page">
-{{tpl:EntryPingData}}
+		<!-- # --BEHAVIOR-- publicEntryAfterContent -->
+		{{tpl:SysBehavior behavior="publicEntryAfterContent"}}
+	</div>
 
-{{tpl:include src="_top.html"}}
-
-<div id="wrapper">
-
-<div id="main" role="main">
-  {{tpl:Breadcrumb}}
-  <div id="content">
-
-  <div id="p{{tpl:EntryID}}" class="post" role="article">
-    <h2 class="post-title">{{tpl:EntryTitle encode_html="1"}}</h2>
-
-    <!-- # --BEHAVIOR-- publicEntryBeforeContent -->
-    {{tpl:SysBehavior behavior="publicEntryBeforeContent"}}
-
-    <tpl:EntryIf extended="1">
-      <div class="post-excerpt">{{tpl:EntryExcerpt}}</div>
-    </tpl:EntryIf>
-    <div class="post-content">{{tpl:EntryContent}}</div>
-
-    <p class="page-info">{{tpl:lang Published on}} {{tpl:EntryDate}}
-    {{tpl:lang by}} {{tpl:EntryAuthorLink}}</p>
-
-    <!-- # --BEHAVIOR-- publicEntryAfterContent -->
-    {{tpl:SysBehavior behavior="publicEntryAfterContent"}}
-  </div>
-
-  <!-- # Attachments -->
-  <tpl:Attachments>
-    <tpl:AttachmentsHeader>
-      <div id="attachments">
-      <h3>{{tpl:lang Attachments}}</h3>
-      <ul>
-    </tpl:AttachmentsHeader>
-      <li class="{{tpl:AttachmentType}}">
-        <tpl:AttachmentIf is_mp3="1">
-          {{tpl:include src="_mp3_player.html"}} -
-        </tpl:AttachmentIf>
-        <tpl:AttachmentIf is_flv="1">
-	     {{tpl:include src="_flv_player.html"}}
-	   </tpl:AttachmentIf>
-	   <tpl:AttachmentIf is_flv="0">
-	   	<a href="{{tpl:AttachmentURL}}"
-		title="{{tpl:AttachmentFileName}} ({{tpl:AttachmentSize}})">{{tpl:AttachmentTitle}}</a>
-        </tpl:AttachmentIf>
-      </li>
-    <tpl:AttachmentsFooter>
-      </ul>
-      </div>
-    </tpl:AttachmentsFooter>
-  </tpl:Attachments>
+	<!-- # Attachments -->
+	<tpl:Attachments>
+		<tpl:AttachmentsHeader>
+			<div id="attachments">
+				<h3>{{tpl:lang Attachments}}</h3>
+				<ul>
+		</tpl:AttachmentsHeader>
+					<li class="{{tpl:AttachmentType}}">
+		<tpl:AttachmentIf is_mp3="1">
+					{{tpl:include src="_mp3_player.html"}} -
+		</tpl:AttachmentIf>
+		<tpl:AttachmentIf is_flv="1">
+					{{tpl:include src="_flv_player.html"}}
+		</tpl:AttachmentIf>
+		<tpl:AttachmentIf is_flv="0">
+					<a href="{{tpl:AttachmentURL}}"
+					title="{{tpl:AttachmentFileName}} ({{tpl:AttachmentSize}})">{{tpl:AttachmentTitle}}</a>
+		</tpl:AttachmentIf>
+					</li>
+		<tpl:AttachmentsFooter>
+				</ul>
+			</div>
+		</tpl:AttachmentsFooter>
+	</tpl:Attachments>
 
   <!-- # Comments -->
-  <tpl:EntryIf show_comments="1">
-    <tpl:Comments>
-    <tpl:CommentsHeader>
-    <div id="comments">
-      <h3>{{tpl:lang Comments}}</h3>
-      <dl>
-    </tpl:CommentsHeader>
-      <dt id="c{{tpl:CommentID}}" class="{{tpl:CommentIfMe}} {{tpl:CommentIfOdd}} {{tpl:CommentIfFirst}}"><a
-      href="#c{{tpl:CommentID}}" class="comment-number">{{tpl:CommentOrderNumber}}.</a>
-      {{tpl:lang On}} {{tpl:CommentDate}}, {{tpl:CommentTime}}
-      {{tpl:lang by}} {{tpl:CommentAuthorLink}}</dt>
+	<tpl:EntryIf show_comments="1">
+		<tpl:Comments>
+			<tpl:CommentsHeader>
+				<div id="comments">
+					<h3>{{tpl:lang Comments}}</h3>
+					<dl>
+			</tpl:CommentsHeader>
+					<dt id="c{{tpl:CommentID}}" class="{{tpl:CommentIfMe}} {{tpl:CommentIfOdd}} {{tpl:CommentIfFirst}}"><a
+					href="#c{{tpl:CommentID}}" class="comment-number">{{tpl:CommentOrderNumber}}.</a>
+					{{tpl:lang On}} {{tpl:CommentDate}}, {{tpl:CommentTime}}
+					{{tpl:lang by}} {{tpl:CommentAuthorLink}}</dt>
 
-      <dd class="{{tpl:CommentIfMe}} {{tpl:CommentIfOdd}} {{tpl:CommentIfFirst}}">
-      <!-- # --BEHAVIOR-- publicCommentBeforeContent -->
-      {{tpl:SysBehavior behavior="publicCommentBeforeContent"}}
+					<dd class="{{tpl:CommentIfMe}} {{tpl:CommentIfOdd}} {{tpl:CommentIfFirst}}">
+						<!-- # --BEHAVIOR-- publicCommentBeforeContent -->
+						{{tpl:SysBehavior behavior="publicCommentBeforeContent"}}
 
-      {{tpl:CommentContent}}
+						{{tpl:CommentContent}}
 
-      <!-- # --BEHAVIOR-- publicCommentAfterContent -->
-      {{tpl:SysBehavior behavior="publicCommentAfterContent"}}
-      </dd>
-    <tpl:CommentsFooter>
-      </dl>
-    </div>
-    </tpl:CommentsFooter>
-    </tpl:Comments>
-  </tpl:EntryIf>
+						<!-- # --BEHAVIOR-- publicCommentAfterContent -->
+						{{tpl:SysBehavior behavior="publicCommentAfterContent"}}
+					</dd>
+			<tpl:CommentsFooter>
+					</dl>
+				</div>
+			</tpl:CommentsFooter>
+		</tpl:Comments>
+	</tpl:EntryIf>
 
-  <tpl:EntryIf comments_active="1">
-    <tpl:SysIfFormError>
-      <p class="error" id="pr">{{tpl:SysFormError}}</p>
-    </tpl:SysIfFormError>
+	<tpl:EntryIf comments_active="1">
+		<tpl:SysIfFormError>
+			<p class="error" id="pr">{{tpl:SysFormError}}</p>
+		</tpl:SysIfFormError>
 
-    <tpl:SysIfCommentPublished>
-      <p class="message" id="pr">{{tpl:lang Your comment has been published.}}</p>
-    </tpl:SysIfCommentPublished>
+		<tpl:SysIfCommentPublished>
+			<p class="message" id="pr">{{tpl:lang Your comment has been published.}}</p>
+		</tpl:SysIfCommentPublished>
 
-    <tpl:SysIfCommentPending>
-      <p class="message" id="pr">{{tpl:lang Your comment has been submitted and
-      will be reviewed for publication.}}</p>
-    </tpl:SysIfCommentPending>
+		<tpl:SysIfCommentPending>
+			<p class="message" id="pr">{{tpl:lang Your comment has been submitted and
+		will be reviewed for publication.}}</p>
+		</tpl:SysIfCommentPending>
 
-    <!-- # Comment form -->
-    <form action="{{tpl:EntryURL}}#pr" method="post" id="comment-form" role="form">
-      <tpl:IfCommentPreview>
-        <div id="pr">
-          <h3>{{tpl:lang Your comment}}</h3>
-          <dl>
-            <dd class="comment-preview">{{tpl:CommentPreviewContent}}</dd>
-          </dl>
-          <p class="buttons"><input type="submit" class="submit" value="{{tpl:lang send}}" /></p>
-        </div>
-      </tpl:IfCommentPreview>
+		<!-- # Comment form -->
+		<form action="{{tpl:EntryURL}}#pr" method="post" id="comment-form" role="form">
+			<tpl:IfCommentPreview>
+				<div id="pr">
+					<h3>{{tpl:lang Your comment}}</h3>
+					<dl>
+					<dd class="comment-preview">{{tpl:CommentPreviewContent}}</dd>
+					</dl>
+					<p class="buttons"><input type="submit" class="submit" value="{{tpl:lang send}}" /></p>
+				</div>
+			</tpl:IfCommentPreview>
 
-      <h3>{{tpl:lang Add a comment}}</h3>
-      <fieldset>
-        <!-- # --BEHAVIOR-- publicCommentFormBeforeContent -->
-        {{tpl:SysBehavior behavior="publicCommentFormBeforeContent"}}
+			<h3>{{tpl:lang Add a comment}}</h3>
+			<fieldset>
+				<!-- # --BEHAVIOR-- publicCommentFormBeforeContent -->
+				{{tpl:SysBehavior behavior="publicCommentFormBeforeContent"}}
 
-        <p class="field"><label for="c_name">{{tpl:lang Name or nickname}}&nbsp;:</label>
-        <input name="c_name" id="c_name" type="text" size="30" maxlength="255"
-        value="{{tpl:CommentPreviewName encode_html="1"}}" />
-        </p>
+				<p class="field"><label for="c_name">{{tpl:lang Name or nickname}}&nbsp;:</label>
+				<input name="c_name" id="c_name" type="text" size="30" maxlength="255"
+				value="{{tpl:CommentPreviewName encode_html="1"}}" />
+				</p>
 
-        <p class="field"><label for="c_mail">{{tpl:lang Email address}}&nbsp;:</label>
-        <input name="c_mail" id="c_mail" type="text" size="30" maxlength="255"
-        value="{{tpl:CommentPreviewEmail encode_html="1"}}" />
-        </p>
+				<p class="field"><label for="c_mail">{{tpl:lang Email address}}&nbsp;:</label>
+				<input name="c_mail" id="c_mail" type="text" size="30" maxlength="255"
+				value="{{tpl:CommentPreviewEmail encode_html="1"}}" />
+				</p>
 
-        <p class="field"><label for="c_site">{{tpl:lang Website}} ({{tpl:lang optional}})&nbsp;:</label>
-        <input name="c_site" id="c_site" type="text" size="30" maxlength="255"
-        value="{{tpl:CommentPreviewSite encode_html="1"}}" />
-        </p>
+				<p class="field"><label for="c_site">{{tpl:lang Website}} ({{tpl:lang optional}})&nbsp;:</label>
+				<input name="c_site" id="c_site" type="text" size="30" maxlength="255"
+				value="{{tpl:CommentPreviewSite encode_html="1"}}" />
+				</p>
 
-        <p style="display:none"><input name="f_mail" type="text" size="30"
-        maxlength="255" value="" /></p>
+				<p style="display:none"><input name="f_mail" type="text" size="30"
+				maxlength="255" value="" /></p>
 
-        <p class="field"><label for="c_content">{{tpl:lang Comment}}&nbsp;:</label>
-        <textarea name="c_content" id="c_content" cols="35"
-        rows="7">{{tpl:CommentPreviewContent raw="1" encode_html="1"}}</textarea>
-        </p>
+				<p class="field"><label for="c_content">{{tpl:lang Comment}}&nbsp;:</label>
+				<textarea name="c_content" id="c_content" cols="35"
+				rows="7">{{tpl:CommentPreviewContent raw="1" encode_html="1"}}</textarea>
+				</p>
 
-        <p class="form-help">{{tpl:CommentHelp}}</p>
+				<p class="form-help">{{tpl:CommentHelp}}</p>
 
-        <!-- # --BEHAVIOR-- publicCommentFormAfterContent -->
-        {{tpl:SysBehavior behavior="publicCommentFormAfterContent"}}
-      </fieldset>
+				<!-- # --BEHAVIOR-- publicCommentFormAfterContent -->
+				{{tpl:SysBehavior behavior="publicCommentFormAfterContent"}}
+			</fieldset>
 
-      <fieldset>
-        <p class="buttons"><input type="submit" class="preview" name="preview" value="{{tpl:lang preview}}" />
-        <tpl:IfCommentPreviewOptional><input type="submit" class="submit" value="{{tpl:lang send}}" /></tpl:IfCommentPreviewOptional></p>
-      </fieldset>
-    </form>
-  </tpl:EntryIf>
+			<fieldset>
+				<p class="buttons"><input type="submit" class="preview" name="preview" value="{{tpl:lang preview}}" />
+				<tpl:IfCommentPreviewOptional><input type="submit" class="submit" value="{{tpl:lang send}}" /></tpl:IfCommentPreviewOptional></p>
+			</fieldset>
+		</form>
+	</tpl:EntryIf>
 
-  <!-- # Trackbacks -->
-  <tpl:EntryIf show_pings="1">
-    <div id="pings">
-    <h3>{{tpl:lang They posted on the same topic}}</h3>
-    <tpl:Pings>
-      <tpl:PingsHeader>
-      <dl>
-      </tpl:PingsHeader>
-        <dt id="c{{tpl:PingID}}" class="{{tpl:PingIfOdd}} {{tpl:PingIfFirst}}"><a href="#c{{tpl:PingID}}"
-        class="ping-number">{{tpl:PingOrderNumber}}.</a>
-        {{tpl:lang On}} {{tpl:PingDate}}, {{tpl:PingTime}}
-        {{tpl:lang by}} {{tpl:PingBlogName encode_html="1"}}</dt>
+	<!-- # Trackbacks -->
+	<tpl:EntryIf show_pings="1">
+		<div id="pings">
+			<h3>{{tpl:lang They posted on the same topic}}</h3>
+			<tpl:Pings>
+				<tpl:PingsHeader>
+					<dl>
+				</tpl:PingsHeader>
+					<dt id="c{{tpl:PingID}}" class="{{tpl:PingIfOdd}} {{tpl:PingIfFirst}}"><a href="#c{{tpl:PingID}}"
+					class="ping-number">{{tpl:PingOrderNumber}}.</a>
+					{{tpl:lang On}} {{tpl:PingDate}}, {{tpl:PingTime}}
+					{{tpl:lang by}} {{tpl:PingBlogName encode_html="1"}}</dt>
 
-        <dd class="{{tpl:PingIfOdd}} {{tpl:PingIfFirst}}">
-        <!-- # --BEHAVIOR-- publicPingBeforeContent -->
-        {{tpl:SysBehavior behavior="publicPingBeforeContent"}}
+					<dd class="{{tpl:PingIfOdd}} {{tpl:PingIfFirst}}">
+					<!-- # --BEHAVIOR-- publicPingBeforeContent -->
+					{{tpl:SysBehavior behavior="publicPingBeforeContent"}}
 
-        <p><a href="{{tpl:PingAuthorURL}}"
-        {{tpl:PingNoFollow}}>{{tpl:PingTitle encode_html="1"}}</a></p>
-        {{tpl:PingContent}}
+					<p><a href="{{tpl:PingAuthorURL}}"
+					{{tpl:PingNoFollow}}>{{tpl:PingTitle encode_html="1"}}</a></p>
+					{{tpl:PingContent}}
 
-        <!-- # --BEHAVIOR-- publicPingAfterContent -->
-        {{tpl:SysBehavior behavior="publicPingAfterContent"}}
-        </dd>
-      <tpl:PingsFooter>
-      </dl>
-      </tpl:PingsFooter>
-    </tpl:Pings>
-    </div>
-  </tpl:EntryIf>
+					<!-- # --BEHAVIOR-- publicPingAfterContent -->
+					{{tpl:SysBehavior behavior="publicPingAfterContent"}}
+					</dd>
+				<tpl:PingsFooter>
+					</dl>
+				</tpl:PingsFooter>
+			</tpl:Pings>
+		</div>
+	</tpl:EntryIf>
 
-  <tpl:EntryIf pings_active="1">
-    <p id="ping-url">{{tpl:lang Trackback URL}}&nbsp;: {{tpl:EntryPingLink}}</p>
-  </tpl:EntryIf>
+	<tpl:EntryIf pings_active="1">
+		<p id="ping-url">{{tpl:lang Trackback URL}}&nbsp;: {{tpl:EntryPingLink}}</p>
+	</tpl:EntryIf>
 
-  <tpl:EntryIf operator="or" comments_active="1" pings_active="1">
-  <p id="comments-feed"><a class="feed" href="{{tpl:BlogFeedURL type="atom"}}/comments/{{tpl:EntryID}}"
-  title="{{tpl:lang This page's comments feed}}">{{tpl:lang This page's comments feed}}</a></p>
-  </tpl:EntryIf>
-  </div>
-</div> <!-- End #main -->
-
-<div id="sidebar" role="complementary">
-  <div id="blognav">
-    {{tpl:Widgets type="nav"}}
-  </div> <!-- End #blognav -->
-
-  <div id="blogextra">
-    {{tpl:Widgets type="extra"}}
-  </div> <!-- End #blogextra -->
-</div>
-
-</div> <!-- End #wrapper -->
-
-{{tpl:include src="_footer.html"}}
-</div> <!-- End #page -->
-</body>
-</html>
+	<tpl:EntryIf operator="or" comments_active="1" pings_active="1">
+		<p id="comments-feed"><a class="feed" href="{{tpl:BlogFeedURL type="atom"}}/comments/{{tpl:EntryID}}"
+		title="{{tpl:lang This page's comments feed}}">{{tpl:lang This page's comments feed}}</a></p>
+	</tpl:EntryIf>
+</tpl:Block>