Index: inc/public/default-templates/mustek/__layout.html
===================================================================
--- inc/public/default-templates/mustek/__layout.html	(revision 3061)
+++ inc/public/default-templates/mustek/__layout.html	(revision 3061)
@@ -0,0 +1,176 @@
+<!DOCTYPE html>
+<html lang="{{tpl:BlogLanguage}}">
+<head>
+	<tpl:Block name="html-head">
+		<meta charset="UTF-8" />
+
+		<tpl:Block name="head-title">
+			<title>{{tpl:BlogName encode_html="1"}}<tpl:PaginationIf start="0"> - {{tpl:lang page}} {{tpl:PaginationCurrent}}</tpl:PaginationIf></title>
+		</tpl:Block>	<!-- head-title -->
+
+		<tpl:Block name="head-meta">
+			<meta name="copyright" content="{{tpl:BlogCopyrightNotice encode_html="1"}}" />
+			<tpl:Block name="meta-robots">
+				<meta name="ROBOTS" content="{{tpl:BlogMetaRobots}}" />
+			</tpl:Block>	<!-- meta-robots -->
+			<tpl:Block name="meta-entry">
+				<meta name="description" lang="{{tpl:BlogLanguage}}" content="{{tpl:BlogDescription cut_string="180" encode_html="1"}}<tpl:PaginationIf start="0"> - {{tpl:lang page}} {{tpl:PaginationCurrent}}</tpl:PaginationIf>" />
+				<meta name="author" content="{{tpl:BlogEditor encode_html="1"}}" />
+				<meta name="date" content="{{tpl:BlogUpdateDate iso8601="1"}}" />
+			</tpl:Block>	<!-- meta-entry -->
+		</tpl:Block>	<!-- head-meta -->
+
+		<tpl:Block name="head-dc">
+			<link rel="schema.dc" href="http://purl.org/dc/elements/1.1/" />
+			<meta property="dc.publisher" content="{{tpl:BlogEditor encode_html="1"}}" />
+			<meta property="dc.rights" content="{{tpl:BlogCopyrightNotice encode_html="1"}}" />
+			<meta property="dc.type" content="text" />
+			<meta property="dc.format" content="text/html" />
+			<tpl:Block name="dc-entry">
+				<meta property="dc.title" lang="{{tpl:BlogLanguage}}" content="{{tpl:BlogName encode_html="1"}}<tpl:PaginationIf start="0"> - {{tpl:lang page}} {{tpl:PaginationCurrent}}</tpl:PaginationIf>" />
+				<meta property="dc.description" lang="{{tpl:BlogLanguage}}" content="{{tpl:BlogDescription encode_html="1"}}" />
+				<meta property="dc.language" content="{{tpl:BlogLanguage}}" />
+				<meta property="dc.date" content="{{tpl:BlogUpdateDate iso8601="1"}}" />
+			</tpl:Block>	<!-- dc-entry -->
+		</tpl:Block>	<!-- head-dc -->
+
+		<tpl:Block name="head-linkrel">
+			<link rel="contents" title="{{tpl:lang Archives}}" href="{{tpl:BlogArchiveURL}}" />
+			<tpl:Categories>
+				<link rel="section" href="{{tpl:CategoryURL}}" title="{{tpl:CategoryTitle encode_html="1"}}" />
+			</tpl:Categories>
+
+			<tpl:Entries no_content="1">
+				<tpl:EntriesHeader>
+					<tpl:Pagination>
+						<tpl:PaginationIf end="0">
+							<link rel="prev" title="{{tpl:lang previous entries}}" href="{{tpl:PaginationURL offset="1"}}" />
+						</tpl:PaginationIf>
+
+						<tpl:PaginationIf start="0">
+							<link rel="next" title="{{tpl:lang next entries}}" href="{{tpl:PaginationURL offset="-1"}}" />
+						</tpl:PaginationIf>
+					</tpl:Pagination>
+				</tpl:EntriesHeader>
+
+				<link rel="chapter" href="{{tpl:EntryURL}}" title="{{tpl:EntryTitle encode_html="1"}}" />
+			</tpl:Entries>
+
+			<link rel="alternate" type="application/atom+xml" title="Atom 1.0" href="{{tpl:BlogFeedURL type="atom"}}" />
+			<link rel="EditURI" type="application/rsd+xml" title="RSD" href="{{tpl:BlogRSDURL}}" />
+			<link rel="meta" type="application/xbel+xml" title="Blogroll" href="{{tpl:BlogrollXbelLink}}" />
+		</tpl:Block>	<!-- head-linkrel -->
+
+		{{tpl:include src="_head.html"}}
+	</tpl:Block>	<!-- html-head -->
+</head>
+<tpl:Block name="body-tag">
+	<body class="dc-home">
+</tpl:Block>
+	<tpl:Block name="html-body">
+		<div id="page">
+			<tpl:Block name="body-page">
+				<tpl:Block name="page-top">
+					{{tpl:include src="_top.html"}}
+				</tpl:Block>	<!-- page-top -->
+
+				<div id="wrapper">
+					<tpl:Block name="page-wrapper">
+						<div id="main" role="main">
+							<tpl:Block name="wrapper-main">
+								<tpl:Block name="main-breadcrumb">
+									{{tpl:Breadcrumb}}
+								</tpl:Block>
+								<div id="content">
+									<tpl:Block name="main-content">
+										<tpl:Entries>
+											<div id="p{{tpl:EntryID}}" class="post {{tpl:EntryIfOdd}} {{tpl:EntryIfFirst}}" lang="{{tpl:EntryLang}}" role="article">
+											<!-- # New day date -->
+											<tpl:DateHeader><p class="day-date">{{tpl:EntryDate}}</p></tpl:DateHeader>
+
+											<h2 class="post-title"><a href="{{tpl:EntryURL}}">{{tpl:EntryTitle encode_html="1"}}</a></h2>
+
+											<p class="post-info">{{tpl:lang By}} {{tpl:EntryAuthorLink}}
+											{{tpl:lang on}} {{tpl:EntryDate}}, {{tpl:EntryTime}}
+											<tpl:EntryIf has_category="1">
+											- <a href="{{tpl:EntryCategoryURL}}">{{tpl:EntryCategory encode_html="1"}}</a>
+											</tpl:EntryIf>
+											</p>
+
+											<tpl:EntryTags>
+											<tpl:TagsHeader><ul class="post-tags"></tpl:TagsHeader>
+											<li><a href="{{tpl:TagURL}}">{{tpl:TagID}}</a></li>
+											<tpl:TagsFooter></ul></tpl:TagsFooter>
+											</tpl:EntryTags>
+
+											<!-- # --BEHAVIOR-- publicEntryBeforeContent -->
+											{{tpl:SysBehavior behavior="publicEntryBeforeContent"}}
+
+											<!-- # Entry with an excerpt -->
+											<tpl:EntryIf extended="1">
+												<div class="post-content">{{tpl:EntryExcerpt}}</div>
+												<p class="read-it"><a href="{{tpl:EntryURL}}"
+												title="{{tpl:lang Continue reading}} {{tpl:EntryTitle encode_html="1"}}">{{tpl:lang Continue
+												reading}}</a><span class="readmore-ellipsis">...</span></p>
+											</tpl:EntryIf>
+
+											<!-- # Entry without excerpt -->
+											<tpl:EntryIf extended="0">
+												<div class="post-content">{{tpl:EntryContent}}</div>
+											</tpl:EntryIf>
+
+											<!-- # --BEHAVIOR-- publicEntryAfterContent -->
+											{{tpl:SysBehavior behavior="publicEntryAfterContent"}}
+
+											<!-- # Number of comments, trackbacks and attachments -->
+											<tpl:EntryIf operator="or" show_comments="1" show_pings="1" has_attachment="1">
+												<p class="post-info-co">
+											</tpl:EntryIf>
+											<tpl:EntryIf show_comments="1">
+												<a href="{{tpl:EntryURL}}#comments" class="comment_count">{{tpl:EntryCommentCount}}</a>
+											</tpl:EntryIf>
+											<tpl:EntryIf show_pings="1">
+												<a href="{{tpl:EntryURL}}#pings" class="ping_count">{{tpl:EntryPingCount}}</a></tpl:EntryIf>
+											<tpl:EntryIf has_attachment="1">
+												<a href="{{tpl:EntryURL}}#attachments" class="attach_count">{{tpl:EntryAttachmentCount}}</a></tpl:EntryIf>
+											<tpl:EntryIf operator="or" show_comments="1" show_pings="1" has_attachment="1">
+												</p>
+											</tpl:EntryIf>
+											</div>
+
+											<tpl:EntriesFooter>
+												<tpl:Pagination>
+													<p class="pagination"><tpl:PaginationIf end="0"><a href="{{tpl:PaginationURL offset="+1"}}" class="prev">&#171;
+													{{tpl:lang previous entries}}</a> - </tpl:PaginationIf>
+													{{tpl:lang page}} {{tpl:PaginationCurrent}} {{tpl:lang of}} {{tpl:PaginationCounter}}
+													<tpl:PaginationIf start="0"> - <a href="{{tpl:PaginationURL offset="-1"}}" class="next">{{tpl:lang next entries}}
+													&#187;</a></tpl:PaginationIf></p>
+												</tpl:Pagination>
+											</tpl:EntriesFooter>
+										</tpl:Entries>
+									</tpl:Block>	<!-- main-content -->
+								</div> <!-- End #content -->
+							</tpl:Block>	<!-- wrapper-main -->
+						</div> <!-- End #main -->
+
+						<tpl:Block name="wrapper-sidebar">
+							<div id="sidebar" role="complementary">
+								<div id="blognav">
+									{{tpl:Widgets type="nav"}}
+								</div> <!-- End #blognav -->
+								<div id="blogextra">
+									{{tpl:Widgets type="extra"}}
+								</div> <!-- End #blogextra -->
+							</div>
+						</tpl:Block>	<!-- wrapper-sidebar -->
+					</tpl:Block>	<!-- page-wrapper -->
+				</div> <!-- End #wrapper -->
+
+				<tpl:Block name="page-footer">
+					{{tpl:include src="_footer.html"}}
+				</tpl:Block>	<!-- page-footer -->
+			</tpl:Block>	<!-- body-page -->
+		</div> <!-- End #page -->
+	</tpl:Block>	<!-- html-body -->
+</body>
+</html>