Index: plugins/dcCKEditor/js/ckeditor/skins/moono/dialog.css
===================================================================
--- plugins/dcCKEditor/js/ckeditor/skins/moono/dialog.css	(revision 3039)
+++ plugins/dcCKEditor/js/ckeditor/skins/moono/dialog.css	(revision 3175)
@@ -1,4 +1,4 @@
 /*
-Copyright (c) 2003-2015, CKSource - Frederico Knabben. All rights reserved.
+Copyright (c) 2003-2016, CKSource - Frederico Knabben. All rights reserved.
 For licensing, see LICENSE.md or http://ckeditor.com/license
 */
Index: plugins/dcCKEditor/js/ckeditor/skins/moono/dialog_ie.css
===================================================================
--- plugins/dcCKEditor/js/ckeditor/skins/moono/dialog_ie.css	(revision 3039)
+++ plugins/dcCKEditor/js/ckeditor/skins/moono/dialog_ie.css	(revision 3175)
@@ -1,4 +1,4 @@
 /*
-Copyright (c) 2003-2015, CKSource - Frederico Knabben. All rights reserved.
+Copyright (c) 2003-2016, CKSource - Frederico Knabben. All rights reserved.
 For licensing, see LICENSE.md or http://ckeditor.com/license
 */
Index: plugins/dcCKEditor/js/ckeditor/skins/moono/dialog_ie7.css
===================================================================
--- plugins/dcCKEditor/js/ckeditor/skins/moono/dialog_ie7.css	(revision 3039)
+++ plugins/dcCKEditor/js/ckeditor/skins/moono/dialog_ie7.css	(revision 3175)
@@ -1,4 +1,4 @@
 /*
-Copyright (c) 2003-2015, CKSource - Frederico Knabben. All rights reserved.
+Copyright (c) 2003-2016, CKSource - Frederico Knabben. All rights reserved.
 For licensing, see LICENSE.md or http://ckeditor.com/license
 */
Index: plugins/dcCKEditor/js/ckeditor/skins/moono/dialog_ie8.css
===================================================================
--- plugins/dcCKEditor/js/ckeditor/skins/moono/dialog_ie8.css	(revision 3039)
+++ plugins/dcCKEditor/js/ckeditor/skins/moono/dialog_ie8.css	(revision 3175)
@@ -1,4 +1,4 @@
 /*
-Copyright (c) 2003-2015, CKSource - Frederico Knabben. All rights reserved.
+Copyright (c) 2003-2016, CKSource - Frederico Knabben. All rights reserved.
 For licensing, see LICENSE.md or http://ckeditor.com/license
 */
Index: plugins/dcCKEditor/js/ckeditor/skins/moono/dialog_iequirks.css
===================================================================
--- plugins/dcCKEditor/js/ckeditor/skins/moono/dialog_iequirks.css	(revision 3039)
+++ plugins/dcCKEditor/js/ckeditor/skins/moono/dialog_iequirks.css	(revision 3175)
@@ -1,4 +1,4 @@
 /*
-Copyright (c) 2003-2015, CKSource - Frederico Knabben. All rights reserved.
+Copyright (c) 2003-2016, CKSource - Frederico Knabben. All rights reserved.
 For licensing, see LICENSE.md or http://ckeditor.com/license
 */
Index: plugins/dcCKEditor/js/ckeditor/skins/moono/editor.css
===================================================================
--- plugins/dcCKEditor/js/ckeditor/skins/moono/editor.css	(revision 3039)
+++ plugins/dcCKEditor/js/ckeditor/skins/moono/editor.css	(revision 3175)
@@ -1,4 +1,4 @@
 /*
-Copyright (c) 2003-2015, CKSource - Frederico Knabben. All rights reserved.
+Copyright (c) 2003-2016, CKSource - Frederico Knabben. All rights reserved.
 For licensing, see LICENSE.md or http://ckeditor.com/license
 */
Index: plugins/dcCKEditor/js/ckeditor/skins/moono/editor_gecko.css
===================================================================
--- plugins/dcCKEditor/js/ckeditor/skins/moono/editor_gecko.css	(revision 3039)
+++ plugins/dcCKEditor/js/ckeditor/skins/moono/editor_gecko.css	(revision 3175)
@@ -1,4 +1,4 @@
 /*
-Copyright (c) 2003-2015, CKSource - Frederico Knabben. All rights reserved.
+Copyright (c) 2003-2016, CKSource - Frederico Knabben. All rights reserved.
 For licensing, see LICENSE.md or http://ckeditor.com/license
 */
Index: plugins/dcCKEditor/js/ckeditor/skins/moono/editor_ie.css
===================================================================
--- plugins/dcCKEditor/js/ckeditor/skins/moono/editor_ie.css	(revision 3039)
+++ plugins/dcCKEditor/js/ckeditor/skins/moono/editor_ie.css	(revision 3175)
@@ -1,4 +1,4 @@
 /*
-Copyright (c) 2003-2015, CKSource - Frederico Knabben. All rights reserved.
+Copyright (c) 2003-2016, CKSource - Frederico Knabben. All rights reserved.
 For licensing, see LICENSE.md or http://ckeditor.com/license
 */
Index: plugins/dcCKEditor/js/ckeditor/skins/moono/editor_ie7.css
===================================================================
--- plugins/dcCKEditor/js/ckeditor/skins/moono/editor_ie7.css	(revision 3039)
+++ plugins/dcCKEditor/js/ckeditor/skins/moono/editor_ie7.css	(revision 3175)
@@ -1,4 +1,4 @@
 /*
-Copyright (c) 2003-2015, CKSource - Frederico Knabben. All rights reserved.
+Copyright (c) 2003-2016, CKSource - Frederico Knabben. All rights reserved.
 For licensing, see LICENSE.md or http://ckeditor.com/license
 */
Index: plugins/dcCKEditor/js/ckeditor/skins/moono/editor_ie8.css
===================================================================
--- plugins/dcCKEditor/js/ckeditor/skins/moono/editor_ie8.css	(revision 3039)
+++ plugins/dcCKEditor/js/ckeditor/skins/moono/editor_ie8.css	(revision 3175)
@@ -1,4 +1,4 @@
 /*
-Copyright (c) 2003-2015, CKSource - Frederico Knabben. All rights reserved.
+Copyright (c) 2003-2016, CKSource - Frederico Knabben. All rights reserved.
 For licensing, see LICENSE.md or http://ckeditor.com/license
 */
Index: plugins/dcCKEditor/js/ckeditor/skins/moono/editor_iequirks.css
===================================================================
--- plugins/dcCKEditor/js/ckeditor/skins/moono/editor_iequirks.css	(revision 3039)
+++ plugins/dcCKEditor/js/ckeditor/skins/moono/editor_iequirks.css	(revision 3175)
@@ -1,4 +1,4 @@
 /*
-Copyright (c) 2003-2015, CKSource - Frederico Knabben. All rights reserved.
+Copyright (c) 2003-2016, CKSource - Frederico Knabben. All rights reserved.
 For licensing, see LICENSE.md or http://ckeditor.com/license
 */
Index: plugins/dcCKEditor/js/ckeditor/skins/moono/readme.md
===================================================================
--- plugins/dcCKEditor/js/ckeditor/skins/moono/readme.md	(revision 2962)
+++ plugins/dcCKEditor/js/ckeditor/skins/moono/readme.md	(revision 3175)
@@ -45,7 +45,5 @@
 -------
 
-Copyright (c) 2003-2015, CKSource - Frederico Knabben. All rights reserved.
+Copyright (c) 2003-2016, CKSource - Frederico Knabben. All rights reserved.
 
-Licensed under the terms of any of the following licenses at your choice: [GPL](http://www.gnu.org/licenses/gpl.html), [LGPL](http://www.gnu.org/licenses/lgpl.html) and [MPL](http://www.mozilla.org/MPL/MPL-1.1.html).
-
-See LICENSE.md for more information.
+For licensing, see LICENSE.md or [http://ckeditor.com/license](http://ckeditor.com/license)