Index: inc/public/default-templates/currywurst/__layout.html
===================================================================
--- inc/public/default-templates/currywurst/__layout.html	(revision 3017)
+++ inc/public/default-templates/currywurst/__layout.html	(revision 3226)
@@ -15,5 +15,5 @@
 			</tpl:Block>	<!-- meta-robots -->
 			<tpl:Block name="meta-entry">
-				<meta name="description" lang="{{tpl:BlogLanguage}}" content="{{tpl:BlogDescription cut_string="180" encode_html="1"}}<tpl:PaginationIf start="0"> - {{tpl:lang page}} {{tpl:PaginationCurrent}}</tpl:PaginationIf>" />
+				<meta name="description" lang="{{tpl:BlogLanguage}}" content="{{tpl:BlogDescription cut_string="180" remove_html="1" encode_html="1"}}<tpl:PaginationIf start="0"> - {{tpl:lang page}} {{tpl:PaginationCurrent}}</tpl:PaginationIf>" />
 				<meta name="author" content="{{tpl:BlogEditor encode_html="1"}}" />
 				<meta name="date" content="{{tpl:BlogUpdateDate iso8601="1"}}" />
@@ -29,5 +29,5 @@
 			<tpl:Block name="dc-entry">
 				<meta property="dc.title" lang="{{tpl:BlogLanguage}}" content="{{tpl:BlogName encode_html="1"}}<tpl:PaginationIf start="0"> - {{tpl:lang page}} {{tpl:PaginationCurrent}}</tpl:PaginationIf>" />
-				<meta property="dc.description" lang="{{tpl:BlogLanguage}}" content="{{tpl:BlogDescription encode_html="1"}}" />
+				<meta property="dc.description" lang="{{tpl:BlogLanguage}}" content="{{tpl:BlogDescription remove_html="1" encode_html="1"}}" />
 				<meta property="dc.language" content="{{tpl:BlogLanguage}}" />
 				<meta property="dc.date" content="{{tpl:BlogUpdateDate iso8601="1"}}" />
Index: inc/public/default-templates/currywurst/archive.html
===================================================================
--- inc/public/default-templates/currywurst/archive.html	(revision 2845)
+++ inc/public/default-templates/currywurst/archive.html	(revision 3226)
@@ -7,5 +7,5 @@
 <tpl:Block name="dc-entry">
 	<meta property="dc.title" lang="{{tpl:BlogLanguage}}" content="{{tpl:lang Archives}} - {{tpl:BlogName encode_html="1"}}" />
-	<meta property="dc.description" lang="{{tpl:BlogLanguage}}" content="{{tpl:BlogDescription encode_html="1"}}" />
+	<meta property="dc.description" lang="{{tpl:BlogLanguage}}" content="{{tpl:BlogDescription remove_html="1" encode_html="1"}}" />
 	<meta property="dc.language" content="{{tpl:BlogLanguage}}" />
 	<meta property="dc.date" content="{{tpl:BlogUpdateDate iso8601="1"}}" />
Index: inc/public/default-templates/currywurst/atom-comments.xml
===================================================================
--- inc/public/default-templates/currywurst/atom-comments.xml	(revision 2600)
+++ inc/public/default-templates/currywurst/atom-comments.xml	(revision 3226)
@@ -7,5 +7,5 @@
   <link href="{{tpl:SysSelfURI}}" rel="self" type="application/atom+xml"/>
   <link href="{{tpl:BlogURL}}" rel="alternate" type="text/html"
-  title="{{tpl:BlogDescription encode_xml="1"}}"/>
+  title="{{tpl:BlogDescription remove_html="1" encode_xml="1"}}"/>
   <updated>{{tpl:BlogUpdateDate iso8601="1"}}</updated>
   <author>
Index: inc/public/default-templates/currywurst/atom.xml
===================================================================
--- inc/public/default-templates/currywurst/atom.xml	(revision 2600)
+++ inc/public/default-templates/currywurst/atom.xml	(revision 3226)
@@ -9,5 +9,5 @@
   <link href="{{tpl:SysSelfURI}}" rel="self" type="application/atom+xml"/>
   <link href="{{tpl:BlogURL}}" rel="alternate" type="text/html"
-  title="{{tpl:BlogDescription encode_xml="1"}}"/>
+  title="{{tpl:BlogDescription remove_html="1" encode_xml="1"}}"/>
   <updated>{{tpl:BlogUpdateDate iso8601="1"}}</updated>
   <author>
Index: inc/public/default-templates/currywurst/rss2-comments.xml
===================================================================
--- inc/public/default-templates/currywurst/rss2-comments.xml	(revision 2600)
+++ inc/public/default-templates/currywurst/rss2-comments.xml	(revision 3226)
@@ -10,5 +10,5 @@
   <link>{{tpl:BlogURL}}</link>
   <atom:link href="{{tpl:SysSelfURI}}" rel="self" type="application/rss+xml"/>
-  <description>{{tpl:BlogDescription encode_xml="1"}}</description>
+  <description>{{tpl:BlogDescription remove_html="1" encode_xml="1"}}</description>
   <language>{{tpl:BlogLanguage}}</language>
   <pubDate>{{tpl:BlogUpdateDate rfc822="1"}}</pubDate>
Index: inc/public/default-templates/currywurst/rss2.xml
===================================================================
--- inc/public/default-templates/currywurst/rss2.xml	(revision 2600)
+++ inc/public/default-templates/currywurst/rss2.xml	(revision 3226)
@@ -10,5 +10,5 @@
   <link>{{tpl:BlogURL}}</link>
   <atom:link href="{{tpl:SysSelfURI}}" rel="self" type="application/rss+xml"/>
-  <description>{{tpl:BlogDescription encode_xml="1"}}</description>
+  <description>{{tpl:BlogDescription remove_html="1" encode_xml="1"}}</description>
   <language>{{tpl:BlogLanguage}}</language>
   <pubDate>{{tpl:BlogUpdateDate rfc822="1"}}</pubDate>
Index: inc/public/default-templates/currywurst/search.html
===================================================================
--- inc/public/default-templates/currywurst/search.html	(revision 3042)
+++ inc/public/default-templates/currywurst/search.html	(revision 3226)
@@ -11,5 +11,5 @@
 <tpl:Block name="dc-entry">
 	<meta property="dc.title" lang="{{tpl:BlogLanguage}}" content="{{tpl:lang Search}} - {{tpl:SysSearchString encode_html="1"}} - {{tpl:BlogName encode_html="1"}}<tpl:PaginationIf start="0"> - {{tpl:lang page}} {{tpl:PaginationCurrent}}</tpl:PaginationIf>" />
-	<meta property="dc.description" lang="{{tpl:BlogLanguage}}" content="{{tpl:BlogDescription encode_html="1"}}" />
+	<meta property="dc.description" lang="{{tpl:BlogLanguage}}" content="{{tpl:BlogDescription remove_html="1" encode_html="1"}}" />
 	<meta property="dc.language" content="{{tpl:BlogLanguage}}" />
 	<meta property="dc.date" content="{{tpl:BlogUpdateDate iso8601="1"}}" />
Index: inc/public/default-templates/mustek/__layout.html
===================================================================
--- inc/public/default-templates/mustek/__layout.html	(revision 3061)
+++ inc/public/default-templates/mustek/__layout.html	(revision 3226)
@@ -15,5 +15,5 @@
 			</tpl:Block>	<!-- meta-robots -->
 			<tpl:Block name="meta-entry">
-				<meta name="description" lang="{{tpl:BlogLanguage}}" content="{{tpl:BlogDescription cut_string="180" encode_html="1"}}<tpl:PaginationIf start="0"> - {{tpl:lang page}} {{tpl:PaginationCurrent}}</tpl:PaginationIf>" />
+				<meta name="description" lang="{{tpl:BlogLanguage}}" content="{{tpl:BlogDescription cut_string="180" remove_html="1" encode_html="1"}}<tpl:PaginationIf start="0"> - {{tpl:lang page}} {{tpl:PaginationCurrent}}</tpl:PaginationIf>" />
 				<meta name="author" content="{{tpl:BlogEditor encode_html="1"}}" />
 				<meta name="date" content="{{tpl:BlogUpdateDate iso8601="1"}}" />
@@ -29,5 +29,5 @@
 			<tpl:Block name="dc-entry">
 				<meta property="dc.title" lang="{{tpl:BlogLanguage}}" content="{{tpl:BlogName encode_html="1"}}<tpl:PaginationIf start="0"> - {{tpl:lang page}} {{tpl:PaginationCurrent}}</tpl:PaginationIf>" />
-				<meta property="dc.description" lang="{{tpl:BlogLanguage}}" content="{{tpl:BlogDescription encode_html="1"}}" />
+				<meta property="dc.description" lang="{{tpl:BlogLanguage}}" content="{{tpl:BlogDescription remove_html="1" encode_html="1"}}" />
 				<meta property="dc.language" content="{{tpl:BlogLanguage}}" />
 				<meta property="dc.date" content="{{tpl:BlogUpdateDate iso8601="1"}}" />
Index: inc/public/default-templates/mustek/atom-comments.xml
===================================================================
--- inc/public/default-templates/mustek/atom-comments.xml	(revision 2599)
+++ inc/public/default-templates/mustek/atom-comments.xml	(revision 3226)
@@ -7,5 +7,5 @@
   <link href="{{tpl:SysSelfURI}}" rel="self" type="application/atom+xml"/>
   <link href="{{tpl:BlogURL}}" rel="alternate" type="text/html"
-  title="{{tpl:BlogDescription encode_xml="1"}}"/>
+  title="{{tpl:BlogDescription remove_html="1" encode_xml="1"}}"/>
   <updated>{{tpl:BlogUpdateDate iso8601="1"}}</updated>
   <author>
Index: inc/public/default-templates/mustek/atom.xml
===================================================================
--- inc/public/default-templates/mustek/atom.xml	(revision 2599)
+++ inc/public/default-templates/mustek/atom.xml	(revision 3226)
@@ -9,5 +9,5 @@
   <link href="{{tpl:SysSelfURI}}" rel="self" type="application/atom+xml"/>
   <link href="{{tpl:BlogURL}}" rel="alternate" type="text/html"
-  title="{{tpl:BlogDescription encode_xml="1"}}"/>
+  title="{{tpl:BlogDescription remove_html="1" encode_xml="1"}}"/>
   <updated>{{tpl:BlogUpdateDate iso8601="1"}}</updated>
   <author>
Index: inc/public/default-templates/mustek/rss2-comments.xml
===================================================================
--- inc/public/default-templates/mustek/rss2-comments.xml	(revision 2599)
+++ inc/public/default-templates/mustek/rss2-comments.xml	(revision 3226)
@@ -10,5 +10,5 @@
   <link>{{tpl:BlogURL}}</link>
   <atom:link href="{{tpl:SysSelfURI}}" rel="self" type="application/rss+xml"/>
-  <description>{{tpl:BlogDescription encode_xml="1"}}</description>
+  <description>{{tpl:BlogDescription remove_html="1" encode_xml="1"}}</description>
   <language>{{tpl:BlogLanguage}}</language>
   <pubDate>{{tpl:BlogUpdateDate rfc822="1"}}</pubDate>
Index: inc/public/default-templates/mustek/rss2.xml
===================================================================
--- inc/public/default-templates/mustek/rss2.xml	(revision 2599)
+++ inc/public/default-templates/mustek/rss2.xml	(revision 3226)
@@ -10,5 +10,5 @@
   <link>{{tpl:BlogURL}}</link>
   <atom:link href="{{tpl:SysSelfURI}}" rel="self" type="application/rss+xml"/>
-  <description>{{tpl:BlogDescription encode_xml="1"}}</description>
+  <description>{{tpl:BlogDescription remove_html="1" encode_xml="1"}}</description>
   <language>{{tpl:BlogLanguage}}</language>
   <pubDate>{{tpl:BlogUpdateDate rfc822="1"}}</pubDate>
Index: themes/ductile/tpl/home.html
===================================================================
--- themes/ductile/tpl/home.html	(revision 2830)
+++ themes/ductile/tpl/home.html	(revision 3226)
@@ -6,5 +6,5 @@
 
 	<title>{{tpl:BlogName encode_html="1"}}<tpl:PaginationIf start="0"> - {{tpl:lang page}} {{tpl:PaginationCurrent}}</tpl:PaginationIf></title>
-	<meta name="description" lang="{{tpl:BlogLanguage}}" content="{{tpl:BlogDescription cut_string="180" encode_html="1"}}<tpl:PaginationIf start="0"> - {{tpl:lang page}} {{tpl:PaginationCurrent}}</tpl:PaginationIf>" />
+	<meta name="description" lang="{{tpl:BlogLanguage}}" content="{{tpl:BlogDescription cut_string="180" remove_html="1" encode_html="1"}}<tpl:PaginationIf start="0"> - {{tpl:lang page}} {{tpl:PaginationCurrent}}</tpl:PaginationIf>" />
 	<meta name="copyright" content="{{tpl:BlogCopyrightNotice encode_html="1"}}" />
 	<meta name="author" content="{{tpl:BlogEditor encode_html="1"}}" />
@@ -13,5 +13,5 @@
 	<link rel="schema.dc" href="http://purl.org/dc/elements/1.1/" />
 	<meta name="dc.title" lang="{{tpl:BlogLanguage}}" content="{{tpl:BlogName encode_html="1"}}<tpl:PaginationIf start="0"> - {{tpl:lang page}} {{tpl:PaginationCurrent}}</tpl:PaginationIf>" />
-	<meta name="dc.description" lang="{{tpl:BlogLanguage}}" content="{{tpl:BlogDescription encode_html="1"}}" />
+	<meta name="dc.description" lang="{{tpl:BlogLanguage}}" content="{{tpl:BlogDescription remove_html="1" encode_html="1"}}" />
 	<meta name="dc.language" content="{{tpl:BlogLanguage}}" />
 	<meta name="dc.publisher" content="{{tpl:BlogEditor encode_html="1"}}" />